std::_Enable_copy_move< _Copy, _CopyAssignment, _Move, _MoveAssignment, _Tag >(3)

NAME
std::_Enable_copy_move< _Copy, _CopyAssignment, _Move, _MoveAssignment, _Tag > -

SYNOPSIS

Inherited by std::_Enable_special_members< _Default, _Destructor, _Copy, _CopyAssignment, _Move, _MoveAssignment, _Tag > [private].

Detailed Description

  template<bool _Copy, bool _CopyAssignment, bool _Move, bool _MoveAssignment, typename _Tag = void>struct std::_Enable_copy_move< _Copy, _CopyAssignment, _Move, _MoveAssignment, _Tag >
A mixin helper to conditionally enable or disable the copy/move special members.

See also:
    _Enable_special_members

Definition at line 64 of file enable_special_members.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.